Subject: [Sigtran] The requiremnts and proposals for M2PA/M3UA/SCTP Extension from China Mobile

From: "陈旭" <[email-masked]>
Date: Wed, 25 Jul 2007 15:02:20 +0800

Dear Chairman and experts，

I am Chen Xu from China Mobile. We have some requirements and proposals for extensions of M3UA/M2PA/SCTP after widely using those protocols. 
  As you may know, China Mobile has built the largest soft-switch network in the world. More than 80 percent long-distance  voice traffic of our subscribers which is more than 300 millions are migrated to this network.
In this network, SIGTRAN is very important to China Mobile for it is not only widely used in the Nc interface to transport  BICC signaling and in the interface between MSC Server and embedded SG to transport access network signaling, but also used to the interface between IPSEPs/IPSTPs  in the signaling network.

For M3UA（RFC4666）,our requirement is to add the M3UA signalling network management function and procedure for using  in   IPSTP-IPSEP interface.

For M2PA（RFC4165）, our requirements are to supplement the description of the whole idea for Link Alignment procedure and  Processor Outage procedure，to give the definition and range of M2PA Timers, and to Supplement the rules of usage of FSN   and BSN in M2PA Header.

For SCTP（RFC4460）,our requirement is to supplement some rules for Multi-homing mechanism.

I have prepared the slides to describe the requirements and proposals of extensions for M3UA/M2PA/SCTP. Any advises and   comments would be appreciated. At the same time, I will finish the drafts within weeks. 

If you have further question, just send me ([email-masked]) an e-mail. Also, My colleague, Mr. Duan Xiaodong  ([email-masked]) is in the IETF69th meeting this week , maybe you’d like to talk with him face to face.
 
Wish you a nice week!
Looking for your reply!

Yours sincerely
Chen Xu
[email-masked]

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 25 Jul 2007 05:16:10 -0600

³ÂÐñ,

Please see comments below...

³ÂÐñ wrote:                                     (Wed, 25 Jul 2007 15:02:20)
> 
> For M3UA£¨RFC4666£©,our requirement is to add the M3UA signalling network
> management function and procedure for using  in   IPSTP-IPSEP interface.

No need.  ASP-SG relationship is sufficient.  Have your IPSEP act as an ASP
and your IPSTP act as an SG so: ASP-SG-ASP, when you want IPSEP-IPSTP-IPSEP.
Take a look at ETSI EG 202 360 for some examples.

> 
> For M2PA£¨RFC4165£©, our requirements are to supplement the description of
> the whole idea for Link Alignment procedure and  Processor Outage
> procedure£¬to give the definition and range of M2PA Timers, and to
> Supplement the rules of usage of FSN   and BSN in M2PA Header.

You are welcome to define timers and restrict procedures as part of your
national standardization.  Even for SS7 they are different enough from
national standard to national standard as to make, for example, a single
list of timer values impossible.

> For SCTP£¨RFC4460£©,our requirement is to supplement some rules for
> Multi-homing mechanism.

Again, for you applications you are welcome to place additional restrictions
on the procedures.  An example of a European standards body doing the same is
ETSI TS 102 144.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Michael Tuexen <[email-masked]>
Date: Wed, 25 Jul 2007 14:01:09 +0200

Dear Chen,

at least my computer is not able to read a format with  
extension .rar. Please
use plain ASCII to describe what you are talking about. Once the IDs  
have been
submitted, I can comment on them.

Best regards
Michael

On Jul 25, 2007, at 9:02 AM, 陈旭 wrote:

> I am Chen Xu from China Mobile. We have some requirements and  
> proposals for extensions of M3UA/M2PA/SCTP after widely using those  
> protocols.
>   As you may know, China Mobile has built the largest soft-switch  
> network in the world. More than 80 percent long-distance  voice  
> traffic of our subscribers which is more than 300 millions are  
> migrated to this network.
> In this network, SIGTRAN is very important to China Mobile for it  
> is not only widely used in the Nc interface to transport  BICC  
> signaling and in the interface between MSC Server and embedded SG  
> to transport access network signaling, but also used to the  
> interface between IPSEPs/IPSTPs  in the signaling network.
>
> For M3UA（RFC4666）,our requirement is to add the M3UA signalling  
> network management function and procedure for using  in   IPSTP- 
> IPSEP interface.
>
> For M2PA（RFC4165）, our requirements are to supplement the  
> description of the whole idea for Link Alignment procedure and   
> Processor Outage procedure，to give the definition and range of  
> M2PA Timers, and to Supplement the rules of usage of FSN   and BSN  
> in M2PA Header.
>
> I have prepared the slides to describe the requirements and  
> proposals of extensions for M3UA/M2PA/SCTP. Any advises and    
> comments would be appreciated. At the same time, I will finish the  
> drafts within weeks.
>
> If you have further question, just send me ([email-masked])  
> an e-mail. Also, My colleague, Mr. Duan Xiaodong   
> ([email-masked]) is in the IETF69th meeting this  
> week , maybe you’d like to talk with him face to face.
>
> Wish you a nice week!
> Looking for your reply!
>
>
> Yours sincerely
> Chen Xu
> [email-masked]
>
>
>
> <from China Mobile.rar>_______________________________________________
> Sigtran mailing list
> [email-masked]